# QDir Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QDir(QDir arg__1)
- void QDir(String path)
- void QDir(String path, String nameFilter, SortFlags sort, Filters filter)

### Constructor Properties

- prototype: The QDir prototype object
- void addSearchPath(String prefix, String path)
- String cleanPath(String path)
- String convertSeparators(String pathName)
- QDir current()
- String currentPath()
- List drives()
- String fromNativeSeparators(String pathName)
- QDir home()
- String homePath()
- bool isAbsolutePath(String path)
- bool isRelativePath(String path)
- bool match(String filter, String fileName)
- List nameFiltersFromString(String nameFilter)
- QDir root()
- String rootPath()
- List searchPaths(String prefix)
- char separator()
- bool setCurrent(String path)
- void setSearchPaths(String prefix, List searchPaths)
- QDir temp()
- String tempPath()
- String toNativeSeparators(String pathName)
- NoFilter = -1
- Dirs = 0x001
- Files = 0x002
- Drives = 0x004
- AllEntries = Dirs|Files|Drives
- NoSymLinks = 0x008
- TypeMask = 0x00f
- Readable = 0x010
- Writable = 0x020
- Executable = 0x040
- PermissionMask = 0x070
- Modified = 0x080
- Hidden = 0x100
- System = 0x200
- AccessMask = 0x3F0
- AllDirs = 0x400
- CaseSensitive = 0x800
- NoDotAndDotDot = 0x1000
- NoDot = 0x2000
- NoDotDot = 0x4000
- Filter( value )
- Filters( value1, value2, ... )
- NoSort = -1
- Name = 0x00
- Time = 0x01
- Size = 0x02
- Unsorted = 0x03
- DirsFirst = 0x04
- Reversed = 0x08
- IgnoreCase = 0x10
- DirsLast = 0x20
- LocaleAware = 0x40
- Type = 0x80
- SortFlag( value )
- SortFlags( value1, value2, ... )

### Prototype Object Properties

- String absoluteFilePath(String fileName)
- String absolutePath()
- String canonicalPath()
- bool cd(String dirName)
- bool cdUp()
- uint count()
- String dirName()
- List entryInfoList(Filters filters, SortFlags sort)
- List entryList(Filters filters, SortFlags sort)
- bool exists()
- String filePath(String fileName)
- Filters filter()
- bool isAbsolute()
- bool isReadable()
- bool isRelative()
- bool isRoot()
- bool makeAbsolute()
- bool mkdir(String dirName)
- bool mkpath(String dirPath)
- List nameFilters()
- bool operator_equal(QDir dir)
- String operator_subscript(int arg__1)
- String path()
- void refresh()
- String relativeFilePath(String fileName)
- bool remove(String fileName)
- bool rename(String oldName, String newName)
- bool rmdir(String dirName)
- bool rmpath(String dirPath)
- void setFilter(Filters filter)
- void setNameFilters(List nameFilters)
- void setPath(String path)
- void setSorting(SortFlags sort)
- SortFlags sorting()

### Instance Properties

QDir objects have no special properties beyond those inherited from the QDir prototype object.